<template>
    <div class="container">
        <nav class="navbar navbar-expand-lg bg-body-tertiary">
            <div class="container">
                <router-link to="/" class="navbar-brand text-white">
                    <img src="/logo.webp" alt="Logo" width="200" height="50" class="img-fluid">
                </router-link>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav ms-auto mb-2 mb-lg-0">
                        <li class="nav-item" v-if="$store.getters.getToken">
                            <button type="button" class="btn btn-dark" @click="logout">Logout</button>
                        </li>
                    </ul>

                </div>
            </div>
        </nav>
    </div>
</template>
<script>
import { useRouter } from 'vue-router'
import { useStore } from 'vuex'
export default {
    name: 'Nav',
    setup() {
        const router = useRouter();
        const store = useStore();

        function logout() {
            store.dispatch('removeToken');
            router.push({ name: 'Login' });
        }
        return {
            logout
        }
    }
}
</script>